'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Meta = require('./Meta.js');
var Link = require('./Link.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

exports.IconSize = void 0;
(function (IconSize) {
  IconSize[IconSize["Large"] = 114] = "Large";
  IconSize[IconSize["Medium"] = 72] = "Medium";
  IconSize[IconSize["Small"] = 57] = "Small";
})(exports.IconSize || (exports.IconSize = {}));
function AppleHomeScreen({
  icons = [],
  startUpImage
}) {
  const iconsMarkup = icons.map(({
    size,
    url
  }) => /*#__PURE__*/React__default["default"].createElement(Link.Link, {
    key: size,
    rel: "apple-touch-icon",
    sizes: `${size}x${size}`,
    href: url
  }));
  const startUpImageMarkup = startUpImage ? /*#__PURE__*/React__default["default"].createElement(Link.Link, {
    rel: "apple-touch-startup-image",
    href: startUpImage
  }) : null;
  return /*#__PURE__*/React__default["default"].createElement(React__default["default"].Fragment, null, /*#__PURE__*/React__default["default"].createElement(Meta.Meta, {
    name: "apple-mobile-web-app-capable",
    content: "yes"
  }), /*#__PURE__*/React__default["default"].createElement(Meta.Meta, {
    name: "apple-mobile-web-app-status-bar-style",
    content: "black"
  }), iconsMarkup, startUpImageMarkup);
}

exports.AppleHomeScreen = AppleHomeScreen;
