'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var hooks = require('../hooks.js');

function Responsive({
  coverNotch = true,
  allowPinchToZoom = true
}) {
  const viewportParts = ['width=device-width', 'initial-scale=1'];
  if (coverNotch) {
    viewportParts.push('viewport-fit=cover');
  }
  if (!allowPinchToZoom) {
    viewportParts.push('user-scalable=no');
  }
  hooks.useMeta({
    name: 'viewport',
    content: viewportParts.join(', ')
  });
  return null;
}

exports.Responsive = Responsive;
