import { useMeta } from '../hooks.mjs';

function Responsive({
  coverNotch = true,
  allowPinchToZoom = true
}) {
  const viewportParts = ['width=device-width', 'initial-scale=1'];
  if (coverNotch) {
    viewportParts.push('viewport-fit=cover');
  }
  if (!allowPinchToZoom) {
    viewportParts.push('user-scalable=no');
  }
  useMeta({
    name: 'viewport',
    content: viewportParts.join(', ')
  });
  return null;
}

export { Responsive };
