import React from 'react';

function Script(props) {
  const {
    type,
    defer,
    ...otherProps
  } = props;
  const isNoModule = type === 'nomodule';
  const attributes = {
    ...otherProps,
    type: isNoModule ? 'text/javascript' : type,
    defer: type === 'module' ? undefined : defer,
    noModule: isNoModule ? true : undefined
  };
  return /*#__PURE__*/React.createElement("script", attributes);
}

export { Script };
