import React from 'react';
import type { HydrationManager } from '@shopify/react-hydrate';
import type { HtmlManager } from '../../manager';
export interface Asset {
    path: string;
    integrity?: string;
}
export interface ScriptAsset extends Asset {
    type?: 'module' | 'nomodule' | 'script';
}
export interface InlineStyle {
    content: string;
}
export interface HtmlProps {
    manager?: HtmlManager;
    hydrationManager?: HydrationManager;
    children?: React.ReactElement<any> | string;
    locale?: string;
    styles?: Asset[];
    inlineStyles?: InlineStyle[];
    scripts?: ScriptAsset[];
    blockingScripts?: ScriptAsset[];
    preloadAssets?: Asset[];
    headMarkup?: React.ReactNode;
    bodyMarkup?: React.ReactNode;
}
export default function Html({ manager, hydrationManager, children, locale, blockingScripts, scripts, styles, inlineStyles, preloadAssets, headMarkup, bodyMarkup, }: HtmlProps): JSX.Element;
//# sourceMappingURL=Html.d.ts.map